Subject: [tsvwg] draft-ietf-tsvwg-circuit-breaker and B4 'circuit breaker'

From: Andrew Mcgregor <[email-masked]>
Date: Thu, 26 Mar 2015 14:29:18 -0500

I mentioned at the mic in Dallas that there is something similar to a
circuit breaker in Google's B4 network.  The ACM SIGCOMM paper describing
B4 is http://dl.acm.org/citation.cfm?id=2486019, which can be found online
in various places.  Section 4.2 briefly discusses Bandwidth Enforcer, and
amongst its functionality is a circuit breaker (which is not explicitly
described, but aspects of which fall into all three of the draft's
categories).

-- 
Andrew McGregor | SRE | [email-masked] | +61 4 1071 2221